Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.cos
Class COSBase

    java.lang.Object
      org.pdfbox.cos.COSBase

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  COSArray, COSBoolean, COSDictionary, COSDocument, COSName, COSNull, COSNumber, COSObject, COSString

public abstract class COSBase
extends Object
implements COSObjectable

The base object that all objects in the PDF document will extend.

Version:
  $Revision: 1.13 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Constructor Summary
`COSBase()` Constructor.

Method Summary
`abstract Object` | `accept(ICOSVisitor visitor)` visitor pattern double dispatch method.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`FilterManager` | `getFilterManager()` This will get the filter manager to use to filter streams.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### COSBase

    public COSBase()

  Constructor.

Method Detail

### getFilterManager

    public FilterManager getFilterManager()

  This will get the filter manager to use to filter streams.

  Returns:
    The filter manager.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### accept

    public abstract Object accept(ICOSVisitor visitor)
                           throws COSVisitorException

  visitor pattern double dispatch method.

  Parameters:
    `visitor` - The object to notify when visiting this object.
  Returns:
    any object, depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If an error occurs while visiting this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD